Subject: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Andrea Corallo <[email-masked]>
Date: Wed, 07 Sep 2022 18:06:09 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> I think so, we emit the "Compiling" message already in the subprocess.
>> So yeah, if the requirement is not to spawn a process,
>> `no-native-compile' is not up to the job.
>
> It'd be better to detect this earlier.

Yeah I think we should probably check directly in 'maybe_swap_for_eln'
and if the cookie is present just return (if that works).

I can try to prepare and test a patch but not before Friday sorry.

Best Regards

  Andrea